Bug 1222984 - boo - Don't build with mono 4
Summary: boo - Don't build with mono 4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: boo
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1228584
Blocks: 1221559
TreeView+ depends on / blocked
 
Reported: 2015-05-19 14:34 UTC by Claudio Rodrigo Pereyra DIaz
Modified: 2015-06-17 18:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-17 18:10:05 UTC
Type: Bug


Attachments (Terms of Use)
build boo with mono4 for rawhide (2.35 KB, patch)
2015-06-05 09:08 UTC, Timotheus Pokorra
no flags Details | Diff

Description Claudio Rodrigo Pereyra DIaz 2015-05-19 14:34:51 UTC
Require fix spec and maybe patches to build with mono 4x
Need move to profile 4.5

See: https://fedoraproject.org/wiki/Changes/Mono_4

Comment 1 Timotheus Pokorra 2015-06-05 09:08:16 UTC
Created attachment 1035118 [details]
build boo with mono4 for rawhide

I came across an issue with pedump, which I will file in a separate bug.
For the moment, I have disabled the verification of assemblies, because that would call pedump, and fail with a segfault.

Please decide for yourself if you want to include the workaround in the commit.

Comment 2 Claudio Rodrigo Pereyra DIaz 2015-06-11 16:56:33 UTC
I fix boo to build with mono 4.

Please check the spec on:

https://github.com/elsupergomez/lbs-mono-fedora/blob/master/boo/boo.spec

and apply on fedora git.

Comment 3 Claudio Rodrigo Pereyra DIaz 2015-06-17 18:10:05 UTC
Fixed and update to 0.9.7.0 from https://github.com/bamboo/boo/

http://koji.fedoraproject.org/koji/taskinfo?taskID=10109065


Note You need to log in before you can comment on or make changes to this bug.